import clr
clr.AddReference('Soti.IoT.SemanticEngine.Conversions')

from Soti.IoT.SemanticEngine.Conversions import Converter

print("Loading BixolonMediaSensorTypeToGeneric Converter")

class BixolonMediaSensorTypeToGeneric(Converter):
	def Execute(self, myList=[], *args):
		res = ""
		if myList[0] == "Continuous":
			res = "None"
		elif myList[0] == "Gap":
			res = "Gap"
		elif myList[0] == "Mark sensing":
			res = "Mark"
		return res




plugin = BixolonMediaSensorTypeToGeneric("BixolonMediaSensorTypeToGeneric")

store.AddConverter(plugin)